%global momorel 2

Summary: BitTorrent client
Name: transmission
Version: 2.04
Release: %{momorel}m%{?dist}
License: see "COPYING"
Group: Applications/Internet
URL: http://www.transmissionbt.com/
Source0: http://download.m0k.org/%{name}/files/%{name}-%{version}.tar.xz
NoSource: 0
Patch0: transmission-1.73-momonga.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: libevent >= 1.3e
BuildRequires: libevent-devel >= 1.3e
BuildRequires: pkgconfig
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: dbus-glib-devel
BuildRequires: dbus-devel
BuildRequires: e2fsprogs-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glib2-devel
BuildRequires: glibc-devel
BuildRequires: glitz-devel
BuildRequires: gtk2-devel >= 2.16.0
BuildRequires: krb5-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXcursor-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXft-devel
BuildRequires: libXi-devel
BuildRequires: libXinerama-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libcurl-devel
BuildRequires: libidn-devel
BuildRequires: libnotify-devel
BuildRequires: libpng-devel
BuildRequires: libssh2-devel
BuildRequires: libxcb-devel
BuildRequires: nspr-devel
BuildRequires: nss-devel
BuildRequires: openldap-devel
BuildRequires: openssl-devel >= 1.0.0
BuildRequires: pango-devel
BuildRequires: pixman-devel
BuildRequires: xcb-util-devel
BuildRequires: zlib-devel
BuildRequires: wxGTK-devel

Provides: Transmission = %{version}
Obsoletes: Transmission < %{version}

%description 
Transmission is a free, lightweight BitTorrent client. It features a
simple, intuitive interface on top on an efficient, cross-platform
back-end.

Transmission is open source (MIT license) and runs on Mac OS X (Cocoa
interface), Linux/NetBSD/FreeBSD/OpenBSD (GTK+ interface) and BeOS
(native interface).

%prep
%setup -q
%patch0 -p1 -b .momonga

%build
%configure --enable-gtk \
    --enable-libnotify \
    --enable-wx \
    --enable-cli \
    --enable-daemon
%make

%install
rm -rf --preserve-root %{buildroot}
make DESTDIR=%{buildroot} install
%find_lang %{name}

%clean
rm -rf --preserve-root %{buildroot}

%post
gtk-update-icon-cache -q -f -t /usr/share/icons/hicolor

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_bindir}/transmission
%{_bindir}/transmissioncli
%{_bindir}/transmission-daemon
%{_bindir}/transmission-remote
%{_datadir}/transmission
%{_datadir}/pixmaps/transmission.png
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_datadir}/applications/transmission.desktop
%{_mandir}/man1/*.1*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.04-2m)
- full rebuild for mo7 release

* Mon Aug  9 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-1m)
- update to 2.04

* Wed Jul 28 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (2.03-1m)
- update to 2.03

* Sun Apr  4 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.92-2m)
- rebuild against openssl-1.0.0

* Sun Mar 21 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.92-1m)
- [SECURITY] CVE-2010-0748 CVE-2010-0749 CVE-2010-1853
- update to 1.92

* Tue Mar  2 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.91-1m)
- update to 1.91

* Thu Jan  7 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.77-1m)
- [SECURITY] CVE-2010-0012
- update to 1.77

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.75-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sat Sep 26 2009 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.75-1m)
- update to 1.75

* Sat Aug 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.73-2m)
- enable to build on Sinji

* Mon Aug 17 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.73-1m)
- update to 1.73

* Mon Jun 22 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.72-1m)
- update to 1.72

* Mon Jun  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.71-1m)
- update to 1.71

* Tue May 19 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.61-1m)
- [SECURITY] CVE-2009-1757
- update to 1.61

* Thu Apr 16 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.52-1m)
- update to 1.52

* Tue Apr 07 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.51-2m)
- rebuild against openssl-0.9.8k

* Sun Mar  1 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.51-1m)
- update to 1.51

* Mon Feb 16 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.50-1m)
- update to 1.50
-- enable wxGTK

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.42-2m)
- rebuild against rpm-4.6

* Sat Dec 27 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.42-1m)
- update to 1.42

* Tue Nov 11 2008 YAMAZAKI Makoto <zaki@zakky.org>
- (1.40-2m)
- updated checksum

* Mon Nov 10 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.40-1m)
- update to 1.40

* Thu Jun  5 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.21-2m)
- rebuild against openssl-0.9.8h-1m

* Thu May 22 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.21-1m)
- update to 1.21

* Mon May 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.20-1m)
- update to 1.20

* Mon Apr  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.11-1m)
- update to 1.11

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.10-2m)
- rebuild against gcc43

* Sat Mar 29 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.10-1m)
- update to 1.10

* Thu Feb 28 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.06-1m)
- update to 1.06

* Sat Feb  9 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.05-1m)
- update to 1.05

* Sun Feb  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.04-1m)
- update to 1.04

* Fri Feb  1 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.03-1m)
- update to 1.03

* Sun Jan 27 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.02-1m)
- update to 1.02

* Sat Jan 12 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.01-1m)
- update to 1.01

* Mon Jan  7 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (1.00-1m)
- update to 1.00

* Thu Jan  3 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.96-1m)
- update to 0.96

* Mon Nov 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.92-1m)
- update to 0.92

* Mon Oct 29 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.91-1m)
- update to 0.91

* Fri Oct 26 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.90-1m)
- update to 0.90

* Sun Oct 14 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-2m)
- rebuild against libevent-1.3e

* Fri Sep 21 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.82-1m)
- update to 0.82
- rebuild against libevent-1.3d
- do not use %%NoSource macro

* Thu Aug 16 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (0.80-2m)
- rebuild against libevent-1.3c
- add Requires: libevent

* Wed Aug  8 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.80-1m)
- update to 0.80

* Tue Jul 10 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.1-3m)
- fix Transmission.desktop permission

* Mon Sep 18 2006 Nishio Futosho <futoshi@momonga-linux.org>
- (0.6.1-2m)
- modify desktop file
- add patch0 (bad gtk version check script) 
- to main

* Sat Jul 22 2006 Nishio Futosho <futoshi@momonga-linux.org>
- (0.6.1-1m)
- initial build
